Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 454205 - PIC16 missing libraries
PIC16 missing libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sdcc (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
: 507742 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-06 11:54 EDT by John J. McDonough
Modified: 2009-10-08 23:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.9.0-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 23:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John J. McDonough 2008-07-06 11:54:56 EDT
Description of problem:

pic16 libraries missing

Version-Release number of selected component (if applicable):

2.6.0 #4309 (old) 

How reproducible:

reproduceable

Steps to Reproduce:

1. ls /usr/share/sdcc/lib/pic16
2. Observe that only file is pic16.lib
  
Actual results:

see "pic16.lib"

Expected results:

Directory should contain a number of files, including pic16.lib

Additional info:

If 2.6.0 (which is at least two major versions back) is installed from the 
tarball, the library directory contains the following:
crt0i.o           libio18f4320.lib  libio18f8720.lib  pic18f4331.lib
crt0iz.o          libio18f4331.lib  libm18f.lib       pic18f442.lib
crt0.o            libio18f442.lib   libsdcc.lib       pic18f4455.lib
libc18f.lib       libio18f4455.lib  pic16.lib         pic18f448.lib
libdebug.lib      libio18f448.lib   pic18f1220.lib    pic18f4520.lib
libio18f1220.lib  libio18f4520.lib  pic18f1320.lib    pic18f452.lib
libio18f1320.lib  libio18f452.lib   pic18f2220.lib    pic18f4550.lib
libio18f2220.lib  libio18f4550.lib  pic18f2320.lib    pic18f458.lib
libio18f2320.lib  libio18f458.lib   pic18f242.lib     pic18f6520.lib
libio18f242.lib   libio18f6520.lib  pic18f2455.lib    pic18f6620.lib
libio18f2455.lib  libio18f6620.lib  pic18f248.lib     pic18f6680.lib
libio18f248.lib   libio18f6680.lib  pic18f252.lib     pic18f6720.lib
libio18f252.lib   libio18f6720.lib  pic18f2550.lib    pic18f8520.lib
libio18f2550.lib  libio18f8520.lib  pic18f258.lib     pic18f8620.lib
libio18f258.lib   libio18f8620.lib  pic18f4220.lib    pic18f8680.lib
libio18f4220.lib  libio18f8680.lib  pic18f4320.lib    pic18f8720.lib
Comment 1 Bug Zapper 2008-11-26 05:58:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 John J. McDonough 2008-11-26 08:50:47 EST
Checked on Fedora 10, still same problem.

This version is a little stale, although it seems to work better than the latest upstream (except, of course, that it must be installed from the tarball rather than the RPM).
Comment 3 John J. McDonough 2008-12-03 09:55:54 EST
I notice that the package has been updated to the latest upstream in F10 GA, but the libraries are still missing, both for pic and pic16.
Comment 4 Matt Hirsch 2009-05-18 16:28:01 EDT
The sdcc package in the repo is useless for pic without the pic libraries.

$ sdcc-sdcc -mpic14 -p16c622 test.c
libsdcc.lib: No such file or directory

I have the following installed:

sdcc-libc-sources-2.8.0-3.fc10.x86_64
sdcc-2.8.0-3.fc10.x86_64

The libc sources aren't usable in their packaged form either:

# cd /usr/share/sdcc/lib/src/pic
# ./configure
checking for gpasm... gpasm
checking for gplink... gplink
checking for gplib... gplib
checking for rm... rm -f
checking for cp... cp
checking for mv... mv
checking for ls... ls
checking for sed... sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for mkdir... mkdir -p
checking for rmdir... rmdir
checking whether make sets $(MAKE)... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating Makefile.common
config.status: creating libdev/Makefile
config.status: creating libsdcc/Makefile
config.status: creating libm/Makefile

# make
make[1]: Entering directory `/usr/share/sdcc/lib/src/pic/libsdcc'
[  CC   ] ==> build/libsdcc/_divschar.o
/bin/sh: ../../../../bin/sdcc: No such file or directory
make[1]: *** [../build/libsdcc/_divschar.o] Error 127
make[1]: Leaving directory `/usr/share/sdcc/lib/src/pic/libsdcc'
make: *** [recurse] Error 1

Why can't the pic libs be added to the binary package? It seems like this has been an issue for a long time.

Does anyone have a good tutorial on adding the libs required for compiling for pic and pic16 from the tarball?
Comment 5 Thomas Sailer 2009-06-24 07:28:56 EDT
*** Bug 507742 has been marked as a duplicate of this bug. ***
Comment 6 Thomas Sailer 2009-06-24 08:25:46 EDT
Fixed SRPM/Spec:

http://sailer.fedorapeople.org/sdcc-2.9.0-2.fc11.src.rpm
http://sailer.fedorapeople.org/sdcc.spec

Basically, to fix this, one can just BuildRequire gputils, so make will then also build PIC libraries.

However, strip then tries to strip the built libraries, but fails since it doesn't understand the file format. So the __os_install_post hack that was present in older versions of the sdcc.spec file is needed again, too.
Comment 7 Conrad Meyer 2009-07-01 18:42:16 EDT
Ok, I've added a buildrequire on gputils and re-added the __os_install_post hack to the devel/ spec. It's building in koji now: http://koji.fedoraproject.org/koji/taskinfo?taskID=1448278 .

Sorry I didn't notice this bug before -- thanks Thomas for pinging me about it.
Comment 8 Conrad Meyer 2009-07-01 18:59:15 EDT
Anyway, if that is ok, I would like to push it out to F-11 and F-10 as well, since -- as I understand it -- those have broken PIC libraries as well. Does that sound OK to everyone?
Comment 9 Thomas Sailer 2009-07-02 02:19:31 EDT
(In reply to comment #8)
> Anyway, if that is ok, I would like to push it out to F-11 and F-10 as well,
> since -- as I understand it -- those have broken PIC libraries as well. Does
> that sound OK to everyone?  

Please do. Thanks.
Comment 10 Conrad Meyer 2009-07-05 16:10:16 EDT
Ah, I just realized I haven't been getting email from one of my accounts for the past several weeks -- which is why I didn't notice this. I'm terribly sorry. I'll push this to F-11 and F-10 now, thanks.
Comment 11 Fedora Update System 2009-10-06 03:17:29 EDT
sdcc-2.9.0-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sdcc-2.9.0-5.fc10
Comment 12 Conrad Meyer 2009-10-06 12:43:47 EDT
Oops, I broke the upgrade path. F-11 is only on sdcc-2.9.0-3. Bumping it to 2.9.0-5 as well (F-10, F-11, and devel should be the same now).
Comment 13 Fedora Update System 2009-10-06 14:35:32 EDT
sdcc-2.9.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sdcc-2.9.0-5.fc11
Comment 14 Fedora Update System 2009-10-06 23:09:53 EDT
sdcc-2.9.0-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-10-08 23:39:33 EDT
sdcc-2.9.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.